/* begincopyright
  Copyright (c) 1988 Xerox Corporation. All rights reserved.
  Use and copying of this software and preparation of derivative works based
  upon this software are permitted. Any distribution of this software or
  derivative works must comply with all applicable United States export
  control laws. This software is made available AS IS, and Xerox Corporation
  makes no warranty about the software, its performance or its conformity to
  any specification. Any person obtaining a copy of this software is requested
  to send their name and post office or electronic mail address to:
    PCR Coordinator
    Xerox PARC
    3333 Coyote Hill Rd.
    Palo Alto, CA 94304
  endcopyright */

/*
 * ILTest1.c
 *
 * IncrementalLoader tests from Unix
 *
 * Demers, July 27, 1989 11:57:56 am PDT
 */

#if defined(UNIXDEBUG) || defined(UNIX)

#include <stdio.h>

#include "xr/IncrementalLoad.h"
#include "xr/IncrementalLoadPrivate.h"
#include "xr/OldDynamicLoad.h"

void XR_SetupCommander() {}



void
main(argc, argv)
    int argc;
    char **argv;
{
    int argno;
    Installer_Func f;
    char *fileName;
    char *funcName;
    

    printf("Hello, world\n");
    printf("Calling SetupDynamicLoader()\n");
    XR_SetupDynamicLoader();
    printf("Calling init_dyload(%s)\n", argv[0]);
    init_dyload(argv[0], FALSE, FALSE);
    printf("Done with init_dyload\n");
    argno = 1;
    while( (argc - argno) >= 2 ) {
        fileName = argv[argno];
        funcName = argv[argno+1];
        argno += 2;
        printf("Loading from %s ...\n", fileName);
        f = load_file(fileName, funcName);
        if( f == NIL ) {
            printf("Load failed\n");
            continue;
        }
        printf("Calling %s ...\n", funcName);
        (void)( (*f)() );
        printf("... done with %s\n", funcName);
    }
    abort();
}


#else
--> fix makefile.config and remake! <--
#endif
